defmodule Diffuser.Generator.PromptRequestResult do
  use Ecto.Schema
  use Waffle.Ecto.Schema
  import Ecto.Changeset
  alias Diffuser.Generator.PromptRequest

  @primary_key {:id, Ecto.UUID, autogenerate: true}
  schema "prompt_request_results" do
    field :image, Diffuser.Uploaders.Image.Type
    belongs_to :prompt_request, PromptRequest, type: :binary_id

    timestamps()
  end

  @doc false
  def changeset(prompt_request, attrs) do
    prompt_request
    |> cast(attrs, [:prompt_request_id])
    |> cast_attachments(attrs, [:image])
    |> validate_required([:prompt_request_id, :image])
  end
end
